Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 887051 - Libreoffice (4.0.0.0
Summary: Libreoffice (4.0.0.0
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: rawhide
Hardware: x86_64
OS: Other
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-13 23:35 UTC by John Rosich
Modified: 2013-02-01 12:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-01 12:27:02 UTC
Type: Bug


Attachments (Terms of Use)

Description John Rosich 2012-12-13 23:35:38 UTC
Description of problem:Latest version of libreoffice (4.0.0XXX) doesn't start.



How reproducible:
always on several machines

Steps to Reproduce:
1.select libreoffice from start menu or command line
2.program fails to start.
3.
  
Actual results:
Program fails to start (see error message below)


Expected results:
Spreadsheet, word processing program etc should open

Additional info:
The 'splash' screen is displayed but the program refuses to start. We get the following message when we try to start the program from a command line:


The application cannot be started.
The component manager is not available.
("file:///usr/lib64/libreoffice/ure/lib/bootstrap.uno.so: cannot get factory of demanded implementation: ")
terminate called after throwing an instance of 
'com::sun::star::uno::DeploymentException'


All machines are running the latest, fully updated rawhide.

Any work-arounds?

TIA

John

Comment 1 David Tardon 2012-12-20 09:42:48 UTC
It runs just fine here. What packages do you have installed? (Run

rpm -qa libreoffice-*

to get the list.) Does it help if you move ~/.config/libreoffice away?


Note You need to log in before you can comment on or make changes to this bug.